Skip to main content
GET
JavaScript

Authorizations

api_key
string
query
required

Coin Metrics API key can be specified as ?api_key= query parameter.

Query Parameters

indexes
string[]
required

Comma separated list of indexes.
Use the /catalog-all-v2/index-levels endpoint for the full list of supported indexes.

Example:

"CMBIBE"

include_verification
boolean
default:false

If set to true, includes information about verification.

backfill
enum<string>
default:latest

What data should be sent upon a connection.
By default the latest values are sent just before real-time data.

Available options:
latest,
none
pretty
boolean
default:false

Human-readable formatting of JSON responses.

Response

Index levels WebSocket message.

Information about index level.

index
string
required

Name of the index.

time
string<date-time>
required

The time in ISO 8601 date-time format. Always with nanoseconds precision.

level
string<decimal>
required

The value of the index.

cm_sequence_id
string
required

The monotonically increasing message number, resets on disconnection.

verification
object

Information about verification.